Bug 18561 - GSSAPI authenticated ftp conenction using protected flows after CCC command
GSSAPI authenticated ftp conenction using protected flows after CCC command
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ftp (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-06 15:08 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-06 15:08:14 EDT
When I connect the Red Hat ftp client to an ftp server using GSSAPI authentication, if I issue the "ccc" command at the ftp client and the 
server accepts the command the control connection is "clear". The next command I issue at the client is sent in the clear (unprotected) to 
the server as it should be. The server sends an unprotected reply as it should, but the client flags it as an error saying it received and 
unprotected reply.
 According to RFC2228 "Once the CCC command completes successfully, if a command is not protected, then the reply to that command 
must also not be protected.

The same problem exists in the Red Hat ftp server. I connect to the server using GSSAPI authentication. I issue the CCC command which 
is accepted by the server. The next command I issue is sent unprotected to the server but the server returns a protected "631" reply. The 
server must respond with an unprotected reply to an unprotected command after the CCC command is successful.
Comment 1 Need Real Name 2001-10-10 18:08:01 EDT
From the submitter: We were finally able to install Red Hat 7.1 on our system and test this problem. As we figured the problem still 
exists in 7.1.
Where do we go from here??
Thanks,
Comment 2 Greg Kelleher 2003-06-17 20:54:28 EDT
close as inactive bug
Comment 3 Bill Nottingham 2006-08-07 14:44:55 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 12:06:43 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.